net.minecraft.potion

## Class PotionHelper

- java.lang.Object
- - net.minecraft.potion.PotionHelper

-     public class PotionHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `blazePowderEffect`
    `static String` | `fermentedSpiderEyeEffect`
    `static String` | `field_77924_a`
    `static String` | `ghastTearEffect`
    `static String` | `glowstoneEffect`
    `static String` | `goldenCarrotEffect`
    `static String` | `gunpowderEffect`
    `static String` | `magmaCreamEffect`
    `static HashMap` | `potionAmplifiers` Potion effect amplifier map
    `static HashMap` | `potionRequirements`
    `static String` | `redstoneEffect`
    `static String` | `speckledMelonEffect`
    `static String` | `spiderEyeEffect`
    `static String` | `sugarEffect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PotionHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `applyIngredient(int par0, String par1Str)` Generate a data value for a potion, given its previous data value and the encoded string of new effects it will receive
    `static int` | `calcPotionLiquidColor(Collection par0Collection)` Given a `Collection`<`PotionEffect`> will return an Integer color.
    `static boolean` | `checkFlag(int par0, int par1)` Is the bit given set to 1?
    `static String` | `func_77905_c(int par0)`
    `static int` | `func_77908_a(int par0, int par1, int par2, int par3, int par4, int par5)`
    `static int` | `func_77909_a(int par0)`
    `static int` | `func_77915_a(int par0, boolean par1)`
    `static boolean` | `func_82817_b(Collection par0Collection)`
    `static List` | `getPotionEffects(int par0, boolean par1)` Returns a list of effects for the specified potion damage value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_77924_a

          public static final String field_77924_a

    - #### sugarEffect

          public static final String sugarEffect

    - #### ghastTearEffect

          public static final String ghastTearEffect

      See Also:
        Constant Field Values

    - #### spiderEyeEffect

          public static final String spiderEyeEffect

    - #### fermentedSpiderEyeEffect

          public static final String fermentedSpiderEyeEffect

    - #### speckledMelonEffect

          public static final String speckledMelonEffect

    - #### blazePowderEffect

          public static final String blazePowderEffect

    - #### magmaCreamEffect

          public static final String magmaCreamEffect

    - #### redstoneEffect

          public static final String redstoneEffect

    - #### glowstoneEffect

          public static final String glowstoneEffect

    - #### gunpowderEffect

          public static final String gunpowderEffect

    - #### goldenCarrotEffect

          public static final String goldenCarrotEffect

    - #### potionRequirements

          public static final HashMap potionRequirements

    - #### potionAmplifiers

          public static final HashMap potionAmplifiers

      Potion effect amplifier map

  - ### Constructor Detail

    - #### PotionHelper

          public PotionHelper()

  - ### Method Detail

    - #### checkFlag

          public static boolean checkFlag(int par0,
                          int par1)

      Is the bit given set to 1?

    - #### func_77909_a

          public static int func_77909_a(int par0)

    - #### calcPotionLiquidColor

          public static int calcPotionLiquidColor(Collection par0Collection)

      Given a `Collection`<`PotionEffect`> will return an Integer color.

    - #### func_82817_b

          public static boolean func_82817_b(Collection par0Collection)

    - #### func_77915_a

          public static int func_77915_a(int par0,
                         boolean par1)

    - #### func_77905_c

          public static String func_77905_c(int par0)

    - #### getPotionEffects

          public static List getPotionEffects(int par0,
                              boolean par1)

      Returns a list of effects for the specified potion damage value.

    - #### applyIngredient

          public static int applyIngredient(int par0,
                            String par1Str)

      Generate a data value for a potion, given its previous data value and the encoded string of new effects it will receive

    - #### func_77908_a

          public static int func_77908_a(int par0,
                         int par1,
                         int par2,
                         int par3,
                         int par4,
                         int par5)